
/****************************************************************************************

		LcPMAP.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Ray Dream
		Date:	02/25/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		02/25/99	Charles		Created
		
*****************************************************************************************/

#ifndef __LCPMAP__
#define __LCPMAP__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "MCColorRGBA.h"


struct LightConeInfo  // data kept in the data component
{
	LightConeInfo();

	real			fIntensity;				// Intensity (%).
	real			fRadius;				// Light source radius (in).
	TMCColorRGBA	fFogColor;				// Fog color
	real			fFallOff;				// quality of fall off
};

#endif
